print __name__
from file_selection import File_selection
from popup_dialogs import Ask_yes_no
from welcome_window import Welcome
from resource_manager import Resources

_singleton_windows = {}

def show(window_name, singleton = 0, *args):
   if singleton:
      try:
         _singleton_windows[window_name].window.present()
         print "La ventana %s ya est abierta!" % window_name
         return
      except KeyError:
         pass

   window = globals()[window_name](*args)
   if singleton:
      _singleton_windows[window_name] = window
   import gtk
   gtk.main()

def close(window_name):
   try:
      del _singleton_windows[window_name]
   except KeyError:
      print "Posible error: la ventana '%s' ya fue destruida" % window_name
